# Vec Provider Index

<table><thead><tr><th width="222">Type</th><th width="197">Description</th><th>Example</th></tr></thead><tbody><tr><td>lucky:constant</td><td>Specifies a constant vector 3d</td><td><pre class="language-json"><code class="lang-json"><strong>"pos": [0, 0, 0]
</strong></code></pre></td></tr><tr><td>lucky:heightmap</td><td>Specifies a block position at the y value based on the provided heightmap type</td><td><pre class="language-json"><code class="lang-json">"pos": {
  "center": [0, 0, 0],
  "heightmap": "OCEAN_FLOOR"
}
</code></pre></td></tr><tr><td>lucky:random</td><td>Specifies a random position</td><td><pre class="language-json"><code class="lang-json"><strong>"pos": [
</strong><strong>  {
</strong>    "type": "minecraft:uniform",
    "min_inclusive": 0.0,
    "max_exclusive": 1.0
  },
<strong>  0.0,
</strong><strong>  {
</strong><strong>    "type": "minecraft:uniform",
</strong><strong>    "min_inclusive": 0.0,
</strong><strong>    "max_exclusive": 1.0
</strong><strong>  }
</strong><strong>]
</strong></code></pre></td></tr><tr><td>lucky:random_in_shape</td><td>Specifies a random position in the shape provided</td><td><pre class="language-json"><code class="lang-json">"pos": {
  "type": "lucky:random_in_shape",
  "center": [0, 0, 0],
  "shape": {
    "type": "lucky:cube",
    "size": [3, 3, 3]
  }
}
</code></pre></td></tr><tr><td>lucky:random_velocity</td><td>Specifies a random velocity</td><td><pre class="language-json"><code class="lang-json">"Motion": {
  "type": "lucky:random_velocity",
  "power": 0.9,
  "pitch": 15
}
</code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/lucky-block/vec-providers/vec-provider-index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
